=== debian/changelog ===
ignition-msgs7 (7.2.0-1~buster) buster; urgency=medium

  * ignition-msgs7 7.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Sep 2021 16:08:34 -0700

ignition-msgs7 (7.1.0-1~buster) buster; urgency=medium

  * ignition-msgs7 7.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 30 Apr 2021 13:47:49 -0700

ignition-msgs7 (7.0.0-1~buster) buster; urgency=medium

  * ignition-msgs7 7.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 09:30:17 -0700

ignition-msgs7 (7.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-msgs7 7.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Mar 2021 08:22:00 -0700

ignition-msgs7 (6.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Wed, 07 Oct 2020 17:35:27 -0700
