=== debian/control ===
Source: ignition-msgs7
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               libprotoc-dev,
               libprotobuf-dev (>= 2.3.0),
               libtinyxml2-dev,
               libignition-cmake2-dev (>= 2.8.0),
               libignition-math6-dev (>= 6.5.0),
               libignition-tools-dev,
               protobuf-compiler,
Vcs-Browser: https://github.com/ignition-release/ign_msgs5-release
Vcs-Git: https://github.com/ignition-release/ign_msgs5-release
Homepage: http://ignitionrobotics.org/

Package: libignition-msgs7
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Protobuf messages for ignitionics applications - Shared library
 This library provides a set of google protobuf messages that are typically used
 in ignition applications.

Package: libignition-msgs7-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-dev (>= 2.3.0),
         libprotoc-dev,
         protobuf-compiler,
         libtinyxml2-dev,
         libignition-cmake2-dev (>= 2.8.0),
         libignition-math6-dev (>= 6.5.0),
         libignition-msgs7 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Protobuf messages for ignitionics applications - Development files
 This library provides a set of google protobuf messages that are typically used
 in ignition applications.
