## ignition-msgs7 7.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-msgs7 VERSION 7.2.0)
+project(ignition-msgs7 VERSION 7.3.0)
 
 #============================================================================
 # Find ignition-cmake
