=== debian/changelog ===
ignition-msgs7 (7.3.0-1~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Mon, 27 May 2024 09:43:23 +0800

ignition-msgs7 (7.3.0-1~focal) focal; urgency=medium

  * ignition-msgs7 7.3.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 16 Mar 2022 17:43:55 -0700

ignition-msgs7 (7.2.0-1~focal) focal; urgency=medium

  * ignition-msgs7 7.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Sep 2021 16:08:34 -0700

ignition-msgs7 (7.1.0-1~focal) focal; urgency=medium

  * ignition-msgs7 7.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 30 Apr 2021 13:47:49 -0700

ignition-msgs7 (7.0.0-1~focal) focal; urgency=medium

  * ignition-msgs7 7.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 09:30:17 -0700

ignition-msgs7 (7.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-msgs7 7.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Mar 2021 08:21:59 -0700

ignition-msgs7 (6.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Wed, 07 Oct 2020 17:35:27 -0700
