=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libprotoc-dev,
                libprotobuf-dev (>= 2.3.0),
                libtinyxml2-dev,
-               libignition-cmake2-dev (>= 2.8.0),
-               libignition-math6-dev (>= 6.5.0),
+               libignition-cmake-dev (>= 2.8.0),
+               libignition-math-dev (>= 6.5.0),
                libignition-tools-dev,
                protobuf-compiler,
 Vcs-Browser: https://github.com/ignition-release/ign_msgs5-release
@@ -35,8 +35,8 @@
          libprotoc-dev,
          protobuf-compiler,
          libtinyxml2-dev,
-         libignition-cmake2-dev (>= 2.8.0),
-         libignition-math6-dev (>= 6.5.0),
+         libignition-cmake-dev (>= 2.8.0),
+         libignition-math-dev (>= 6.5.0),
          libignition-msgs7 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
